module.exports = function(grunt) {

  grunt.initConfig({
	  pkg: grunt.file.readJSON('package.json'),

		cssmin: {
		  combine: {
		    files: {
		      'style.min.css': ['style.css', 'css/boot.css', 'css/fullcalendar.css', 'css/animate.css', 'css/fonts.css'],
			    'css/front.min.css': ['css/front-page.css']
		    }
		  }
		},

		concat: {
			options: {
				separator: ';',
			},
			dist: {
				src: ['js/jquery-2.1.4.min.js', 'js/modernizr.js', 'js/bootstrap-3.3.5.min.js', 'js/jasny-bootstrap-3.1.3.min.js', 'js/moment.min.js', 'js/fullcalendar.min.js', 'js/validate.min.js', 'js/scripts.js'],
				dest: 'js/script.js',
			},
			disto: {
				src: ['js/jquery-2.1.4.min.js', 'js/modernizr.js', 'js/bootstrap-3.3.5.min.js', 'js/jasny-bootstrap-3.1.3.min.js'],
				dest: 'js/script-o.js',
			},
			disto: {
				src: ['js/jquery-2.1.4.min.js', 'js/svg-morpheus.js', 'js/messenger.min.js', 'js/bootstrap.js', 'js/terminal.js', 'js/front-page.js'],
				dest: 'js/front-page.min.js',
			}
		},

    jshint: {
      options: {
        jshintrc: 'js/.jshintrc'
      },
      all: ['js/init.js']
    },

		uglify: {
		    my_target: {
		      files: {
          'js/script.min.js': ['js/script.js'],
          'js/script-o.min.js': ['js/script-o.js'],
          'js/init.min.js': ['js/init.js'],
          'js/init-o.min.js': ['js/init-o.js'],
          'js/front.min.js' : ['js/front-page.min.js'],
          'js/chat.min.js' : ['js/chat.js'],
		      }
		    }
		  }

	});

	grunt.loadNpmTasks('grunt-contrib-cssmin');
	grunt.loadNpmTasks('grunt-contrib-concat');
	grunt.loadNpmTasks('grunt-contrib-jshint');
	grunt.loadNpmTasks('grunt-contrib-uglify');

	grunt.registerTask('js', [ 'jshint' ]);
	grunt.registerTask('css', [ 'cssmin' ]);
	grunt.registerTask('default', [ 'cssmin', 'concat', 'uglify' ]);

};
