<?php
/*
Template Name: Desk
*/

get_header(); ?>
<?php get_template_part( 'underscore' ); ?>
	<div class="container leader">
		<div class="row">
			<div class="col-sm-12">
				<h1 class="cm-sans wow fadeInLeft">Desk</h1>
			</div>
		</div>
		<div class="row desk">
			<div class="col-sm-5">
				<div class="entry-content">
					<h4 class="georgia spread"><em><span class="firstcharacter">T</span>he internet is awash with nonsense and people that really want to be heard</em>. That's not entirely the case for me and I'm not planning on adding to the nonsense. I've spent too much time working on websites for other folks to really concern myself with my own. However, I've grown really tired of communicating using third party websites and I wanted to use this as a way to archive any notes, ideas, or anything I want to share. Right now, this site is clogged up with lots of old posts about mostly computer related ramblings, but I'll clean that up over time. I mostly leave commenting off, but please feel free to <a href="https://davidawindham.com/contact/">contact me</a> if you have any feedback, questions, or just want to say hello. <br />Thanks for visiting,</h4>
					<img src="<?php echo get_template_directory_uri() . '/img/dw_signature.png'; ?>" alt="David Windham Signature"/>
					<img src="<?php echo get_template_directory_uri() . '/img/desk.png'; ?>" alt="Who Needs a Computer Anyway?" width="90%" style="margin:100px 10px;border:3px solid #cecece"/>
				</div>
			</div>
			<div class="col-sm-4 studio-tools">
				<ul>
					<li>Recent Posts</li>
					<?php $recentposts = get_posts('numberposts=50'); foreach ($recentposts as $post) : setup_postdata($post); ?>
					       <li style="color:#777"><?php echo get_the_date('m/d/y'); ?> - <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>
					<?php endforeach; ?>
					<li class="pull-right"><a href="<?php echo site_url(); ?>/archive/"><b>All Posts -></b></a></li>
				</ul>
			</div>	
			<div class="col-sm-3">
				<div class="row"style="padding:20px 0 0 0;">
					<h5>Search</h5>
					<?php get_search_form(); ?>
				</div>
				<div class="row">
					<div class="col-xs-6 studio-tools">		
						<ul>
							<?php wp_list_categories('orderby=name&exclude=1,7,44&title_li=Topics'); ?>
						</ul>
					</div>
					<div class="col-xs-6 studio-tools">		
						<ul>
							<li>Year</li>
							<?php wp_get_archives( array( 'type' => 'yearly') ); ?>
						</ul>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 studio-tools">
						<ul>
							<li>Tags</li>
							<?php $tags = get_tags(); if ( $tags ) : foreach ( $tags as $tag ) : ?>
							<a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>" title="<?php echo esc_attr( $tag->name ); ?>"><?php echo esc_html( $tag->name ); ?></a>, 
							<?php endforeach; endif; ?>
						</ul>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 studio-tools">
						<h5>Today I Learned</h5>
						<ul>
							<?php pull_til(); ?>
							<li class="pull-right"><a href="https://davidawindham.com/til/til.html"><b>All TIL -></b></a></li>
						</ul>	
					</div>
				</div>
			</div>
		</div>	
	</div>
	<div class="container">
		<div id="content" role="main">
			<main id="main" class="site-main" role="main">
			<?php query_posts('showposts=10'); ?>
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
			<article id="content" class="single" role="main">
				<div itemscope="" itemtype="http://schema.org/BlogPosting" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry-content">
						<div class="date">
							<time class="updated" datetime="<?php the_time('c');?>" itemprop="datePublished"><?php the_date('n/j/Y'); ?></time>		
						</div>
						<span class="author vcard"><span class="fn">David A. Windham</span></span>
						<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'daw' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
						<?php the_content(); ?>
						<div class="clear">&nbsp;</div>
					</div>
				</div>
			</article>
			<?php endwhile; ?>
			</main>
		</div>
	</div>
<?php get_footer('home'); ?>