<?php
/*
Template Name: Sitemap
*/

get_header(); ?>

	<div class="container">
		<article id="content" class="single" role="main">
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div class="entry-content">
					<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'daw' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<?php the_content(); ?>
					<div class="row">
						<div class="col-sm-12">
							<ul>
								<li><a href="../" title="Home" ><span class="fa fa-home fa-fw"></span> Home</a></li>
								<br />
								<li><a href="../about/" title="About" ><span class="fa fa-file-text-o fa-fw"></span> About</a>
									<ul>
										<a href="../about/bio/" title="Bio" ><span class="fa fa-user fa-fw"></span> Bio</a>
										&nbsp; | <a href="../ancestors/" title="CV" ><span class="fa fa-users fa-fw"></span> Ancestors</a>
										&nbsp; | <a href="../about/cv/" title="CV" ><span class="fa fa-file-text-o fa-fw"></span> CV</a>
										
									</ul>
								</li>
								<br />
								<li><a href="../desk/" title="Desk" ><span class="fa fa-pencil fa-fw"></span> Desk</a>
									<ul>
										<a href="../desk/archive" title="Archive" ><span class="fa fa-archive fa-fw"></span> Archive</a>
										&nbsp; | <a href="../desk/" title="Categories" ><span class="fa fa-folder-open-o fa-fw"></span>Topics</a>
										&nbsp; | <a href="../desk/" title="Tags" ><span class="fa fa-tags fa-fw"></span>Tags</a>
										&nbsp; | <a href="../mail/" title="Newsletter" ><span class="fa fa-paper-plane-o fa-fw"></span> Emails</a>
									</ul>
								</li>
								<br />
								<li><a href="../studio/" title="Studio" ><span class="fa fa-flask fa-fw"></span> Studio</a>
									<ul>
										<a href="../studio/web" title="Web" ><span class="fa fa-desktop fa-fw"></span> Web</a>
										&nbsp; | <a href="../studio/design" title="Design" ><span class="fa fa-pencil fa-fw"></span> Design</a>
										&nbsp; | <a href="../studio/photo/" title="Photo" ><span class="fa fa-camera-retro fa-fw"></span> Photo</a>
										&nbsp; | <a href="../studio/art/" title="Art" ><span class="fa fa-paint-brush fa-fw"></span> Art</a>
										&nbsp; | <a href="../studio/music/" title="Music" ><span class="fa fa-music fa-fw"></span> Music</a>
										&nbsp; | <a href="../studio/video/" title="Music" ><span class="fa fa-film fa-fw"></span> Video</a>							
									</ul>
								</li>
								<br />

								<li><a href="" ><span class="fa fa-briefcase fa-fw"></span> ETC</a>
									<ul>
										<a href="../about/analytics/" title="CV" ><span class="fa fa-tachometer fa-fw"></span> Analytics</a>
										&nbsp; | <a href="../list" ><span class="fa fa-list fa-fw"></span> Awesome List</a>
										&nbsp; | <a href="../til/" title="Music" ><span class="fa fa-book fa-fw"></span> Today I Learned</a>
										&nbsp; | <a href="../reader/" title="Music" ><span class="fa fa-rss-square fa-fw"></span> Reader</a>
										&nbsp; | <a href="../bookmarks/" title="Music" ><span class="fa fa-bookmark fa-fw"></span> Bookmarks</a>
									</ul>
								</li>
								<br />
								<li><a href="https://davidawindham.com" title="Client" ><span class="fa fa-users fa-fw"></span> Client</a>
									<ul>
										<a href="https://sandbox.davidawindham.com/project/" title="Projects" ><span class="fa fa-cogs fa-fw"></span> Projects</a>
										&nbsp; | <a href="../contract" title="Contract" ><span class="fa fa-pencil-square-o fa-fw"></span> Contract</a>
										&nbsp; | <a href="../contact" title="Support" ><span class="fa fa-support fa-fw"></span> Support</a>
										&nbsp; | <a href="https://sandbox.davidawindham.com/invoice/" title="Billing" ><span class="fa fa-calculator fa-fw"></span> Billing</a>
										&nbsp; | <a href="../pay" title="Payments" ><span class="fa fa-credit-card fa-fw"></span> Payments</a>
									</ul>
								</li>
								<br />
								<li><a href="../contact" title="Contact" ><span class="fa fa-envelope-o fa-fw"></span> Contact</a>
									<ul>
										<a href="../contact" title="Inquiry" ><span class="fa fa-question-circle fa-fw"></span> Inquiry</a>
										&nbsp; | <a href="../mail" title="Subscribe" ><span class="fa fa-inbox fa-fw"></span> Mailing List</a>
										&nbsp; | <a href="../contact/guests" title="Guestbook" ><span class="fa fa-pencil-square fa-fw"></span> Guest Book</a>
									</ul>
								</li>
								<br />
								<li><a href="../shop" ><span class="fa fa-credit-card fa-fw"></span> Shop</a>
									<ul>
										<a href="../shop/cart/" title="CV" ><span class="fa fa-shopping-cart fa-fw"></span> Cart</a>
										&nbsp; | <a href="../shop/checkout/" title="Music" ><span class="fa fa-money fa-fw"></span> Checkout</a>
									</ul>
								</li>
								<br />
								<li><a href="../sitemap" ><span class="fa fa-sitemap fa-fw"></span> Sitemap</a></li>
							</ul>
								<hr>
							<ul>
								<li><span class="fa fa-server fa-fw"></span> Sub Domains
									<ul>
										<a href="http://photo.davidawindham.com" title="Photo" ><span class="fa fa-camera-retro fa-fw"></span> Photo</a>
										&nbsp; | <a href="http://code.davidawindham.com" title="Code" ><span class="fa fa-code fa-fw"></span> Code</a>
										&nbsp; | <a href="http://show.davidawindham.com" title="Show" ><span class="fa fa-area-chart fa-fw"></span> Show</a>
										&nbsp; | <a href="http://radio.davidawindham.com" title="Radio" ><span class="fa fa-microphone fa-fw"></span> Radio</a>
										&nbsp; | <a href="http://chess.davidawindham.com" title="Chess" ><span class="fa fa-gamepad fa-fw"></span> Chess</a>
										&nbsp; | <a href="http://chat.davidawindham.com" title="Chat" ><span class="fa fa-comments fa-fw"></span> Chat</a>
									</ul>
								</li>
							</ul>
							<hr>
							<ul>
								<li><span class="fa fa-globe fa-fw"></span> Other Domains
									<ul>
										<a target="_blank" href="http://gzet.net" title="GZET" ><span class="fa fa-globe fa-fw"></span> gzet.net</a>
										&nbsp; | <a target="_blank" href="http://juryd.com" title="Juryd" ><span class="fa fa-globe fa-fw"></span> juryd.com</a>
										&nbsp; | <a target="_blank" href="https://peoplespants.com" title="Ginny Gast" ><span class="fa fa-globe fa-fw"></span> peoplespants.com</a>
									</ul>
								</li>
								<hr>
								<li><span class="fa fa-external-link fa-fw"></span> Elsewhere
									<ul>
										<li><a target="_blank" href="https://keybase.io/windhamdavid" title="David Windham Keybase" rel="me"><span class="fa fa-fw fa-key"></span> keybase.io/windhamdavid</a></li>
										<li><a target="_blank" href="https://www.coinbase.com/windhamdavid" title="David Windham Coinbase" rel="me"><span class="fa fa-fw fa-bitcoin"></span> coinbase.com/windhamdavid</a></li>
										<li><a target="_blank" href="https://github.com/windhamdavid" title="David Windham Github" rel="me"><span class="fa fa-fw fa-github"></span> github.com/windhamdavid</a></li>
										<li><a target="_blank" href="http://en.wikipedia.org/wiki/User:Windhamdavid" title="David Windham Wikipedia" rel="me"><span class="fa fa-fw fa-globe"></span> wikipedia.org/User:Windhamdavid</a></li>
										<li><a target="_blank" href="https://twitter.com/windhamdavid" title="David Windham Twitter" rel="me"><span class="fa fa-fw fa-twitter"></span> twitter.com/windhamdavid</a></li>
										<li><a target="_blank" href="https://twitter.com/_GZET" title="GZET Twitter" rel="me"><span class="fa fa-fw fa-twitter"></span> twitter.com/_gzet</a></li>
										<li><a target="_blank" href="https://twitter.com/_JURYD" title="GZET Twitter" rel="me"><span class="fa fa-fw fa-twitter"></span> twitter.com/_juryd</a></li>
										<li><a target="_blank" href="https://medium.com/@windhamdavid" title="David Windham Medium" rel="me"><span class="fa fa-fw fa-medium"></span> medium.com/@windhamdavid</a></li>
										<li><a target="_blank" href="https://www.instagram.com/windhamdavid/" title="David Windham Instagram" rel="me"><span class="fa fa-fw fa-instagram"></span> instagram.com/windhamdavid/</a></li>
										<li><a target="_blank" href="https://www.amazon.com/gp/profile/A3PRORNAML2PM1" title="David Windham Amazon" rel="me"><span class="fa fa-fw fa-amazon"></span> amazon.com/gp/profile/A3PRORNAML2PM1</a></li>
										<li><a target="_blank" href="http://astore.amazon.com/davawin-20" title="David Windham Amazon Store" rel="me"><span class="fa fa-fw fa-amazon"></span> astore.amazon.com/davawin-20</a></li>
										<li><a target="_blank" href="https://angel.co/windhamdavid" title="David Windham Angel.co" rel="me"><span class="fa fa-fw fa-angellist"></span> angel.co/windhamdavid</a></li>
										<li><a target="_blank" href="https://www.linkedin.com/in/windhamdavid" title="David Windham LinkedIn" rel="me"><span class="fa fa-fw fa-linkedin"></span> linkedin.com/in/windhamdavid</a></li>
										<li><a target="_blank" href="https://news.ycombinator.com/user?id=windhamdavid" title="David Windham Hacker News" rel="me"><span class="fa fa-fw fa-hacker-news"></span> ycombinator.com/windhamdavid</a></li>
										<li><a target="_blank" href="https://discussions.apple.com/people/windhamd" title="David Windham Apple" rel="me"><span class="fa fa-fw fa-apple"></span> apple.com/people/windhamd</a></li>
										<li><a target="_blank" href="https://www.drupal.org/user/305379" title="David Windham Drupal" rel="me"><span class="fa fa-fw fa-drupal"></span> drupal.org/user/305379</a></li>
										<li><a target="_blank" href="https://profiles.wordpress.org/windhamdavid/" title="David Windham WordPress" rel="me"><span class="fa fa-fw fa-wordpress"></span> wordpress.org/windhamdavid</a></li>
										<li><a target="_blank" href="http://stackexchange.com/users/521983/david-windham" title="David Windham Stack Exchange" rel="me"><span class="fa fa-fw fa-stack-exchange"></span> stackexchange.com/david-windham</a></li>
										<li><a target="_blank" href="https://www.facebook.com/windhamdavid" title="David Windham Facebook" rel="me"><span class="fa fa-fw fa-facebook"></span> facebook.com/windhamdavid</a></li>
										<li><a target="_blank" href="https://www.facebook.com/davidawindham" title="David A. Windham Facebook" rel="me"><span class="fa fa-fw fa-facebook"></span> facebook.com/davidawindham</a></li>
										<li><a target="_blank" href="https://plus.google.com/+DavidWindham1" title="David Windham Google+" rel="me"><span class="fa fa-fw fa-google-plus"></span> plus.google.com/+DavidWindham1</a></li>
										<li><a target="_blank" href="https://plus.google.com/+DavidAWindham1" title="David Windham Google+" rel="me"><span class="fa fa-fw fa-google-plus"></span> plus.google.com/+DavidAWindham1</a></li>
										<li><a target="_blank" href="https://www.youtube.com/user/windhamdavid" title="David Windham YouTube" rel="me"><span class="fa fa-fw fa-youtube"></span> youtube.com/user/windhamdavid</a></li>
										<li><a target="_blank" href="http://windhamdavid.tumblr.com/" title="David Windham Tumblr" rel="me"><span class="fa fa-fw fa-tumblr"></span> windhamdavid.tumblr.com</a></li>
										<li><a target="_blank" href="https://www.reddit.com/user/windhamdavid" title="David Windham Reddit" rel="me"><span class="fa fa-fw fa-reddit"></span> reddit.com/windhamdavid</a></li>
										<li><a target="_blank" href="https://delicious.com/windhamdavid" title="David Windham Delicious" rel="me"><span class="fa fa-fw fa-delicious"></span> delicious.com/windhamdavid</a></li>
										<li><a target="_blank" href="http://www.last.fm/user/windhamdavid" title="David Windham Last.fm" rel="me"><span class="fa fa-fw fa-lastfm"></span> last.fm/user/windhamdavid</a></li>
										<li><a target="_blank" href="https://play.spotify.com/user/windhamdavid/" title="David Windham Spotify" rel="me"><span class="fa fa-fw fa-spotify"></span> spotify.com/user/windhamdavid/</a></li>
										<li><a target="_blank" href="http://vimeo.com/windhamdavid" title="David Windham Vimeo" rel="me"><span class="fa fa-fw fa-vimeo"></span> vimeo.com/windhamdavid</a></li>

										
									</ul>
								</li>

							</ul>
						</div>
					</div>
				</div>
			<?php endwhile; ?>
		</article>
	</div>
	
<?php get_footer('home'); ?>